Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.java.ao.builder
Class EntityManagerBuilderWithUrlAndUsernameAndPassword

    java.lang.Object
      net.java.ao.builder.EntityManagerBuilderWithUrlAndUsernameAndPassword

    public class EntityManagerBuilderWithUrlAndUsernameAndPassword

extends Object

Constructor Summary
`EntityManagerBuilderWithUrlAndUsernameAndPassword(String url, String username, String password)`

Method Summary
`EntityManagerBuilderWithDatabaseProperties` | `auto()`
`EntityManagerBuilderWithDatabaseProperties` | `c3po()`
`EntityManagerBuilderWithDatabaseProperties` | `dbcp()`
`EntityManagerBuilderWithDatabaseProperties` | `dbPool()`
`EntityManagerBuilderWithDatabaseProperties` | `none()`
`EntityManagerBuilderWithDatabaseProperties` | `proxool()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EntityManagerBuilderWithUrlAndUsernameAndPassword

    public EntityManagerBuilderWithUrlAndUsernameAndPassword(String url,
                                                             String username,
                                                             String password)

Method Detail

### none

    public EntityManagerBuilderWithDatabaseProperties none()

### dbcp

    public EntityManagerBuilderWithDatabaseProperties dbcp()

### proxool

    public EntityManagerBuilderWithDatabaseProperties proxool()

### dbPool

    public EntityManagerBuilderWithDatabaseProperties dbPool()

### c3po

    public EntityManagerBuilderWithDatabaseProperties c3po()

### auto

    public EntityManagerBuilderWithDatabaseProperties auto()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2011. All Rights Reserved.